%define name normalize
%define version 0.7.6
%define release %mkrel 7

Summary:   A tool for adjusting the volume of wave files
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{version}.tar.bz2
License:   GPL
URL:	   http://www.cs.columbia.edu/~cvaill/normalize/ 
Group:     Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: xmms-devel
BuildRequires: audiofile-devel
BuildRequires: mad-devel

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep
rm -rf $RPM_BUILD_ROOT    

%setup -q
aclocal-1.8
autoconf
automake-1.8 --foreign -a -c

%build
%configure2_5x --with-audiofile
%make

%install
rm -rf %buildroot
%makeinstall_std MKINSTALLDIRS=`pwd`/config/mkinstalldirs
%{find_lang} %{name}
rm -f %buildroot%_libdir/xmms/Effect/librva.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*
%_libdir/xmms/Effect/librva.so


%changelog
* Sun Apr 23 2006 Goetz Waschk <goetz@deborah.mandriva.com> 0.7.6-7mdk
- fix build on x86_64

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-6mdk
- rebuild

* Wed Sep 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-5mdk
- drop prefix
- fix buildrequires
- use audiofile to fix garbage in wave output (Nicolas Pomarede)

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-4mdk
- fix buildrequires

* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-3mdk
- drop the useless devel package

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-2mdk
- rebuild

* Mon Sep  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-1mdk
- new version

* Mon Aug 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- fix doc section
- fix installation of the xmms plugin
- add buildrequires
- 0.7.5
- autoconf 2.5 macro

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4
- fix files section

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.6.1
	- added /usr/bin/normalize-ogg to file list

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- added normalize-mp3 script to file list

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1 by Gtz Waschk <waschk@linux-mandrake.com>

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4

* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-3mdk
- rebuild

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- add url

* Tue Aug 22 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-1mdk
- udated version
- used find_lang macro for locale files

* Tue Aug 15 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- initial Mandrake release
